Bug 52962 - iOS ListView PullToRefresh not showing activity indicator
Summary: iOS ListView PullToRefresh not showing activity indicator
Status: VERIFIED FIXED
Alias: None
Product: Forms
Classification: Xamarin
Component: iOS (show other bugs)
Version: 2.3.3
Hardware: PC Other
: Normal normal
Target Milestone: ---
Assignee: Chris King
URL:
Depends on:
Blocks:
 
Reported: 2017-03-02 03:42 UTC by Paulo
Modified: 2017-08-16 16:08 UTC (History)
6 users (show)

Tags: activityindicator ios pulltorefresh ac
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
VERIFIED FIXED

Description Paulo 2017-03-02 03:42:23 UTC
When the ListView is pulled down, the ActivityIndicator will appear but it quickly hides as if the command has finished executing even though it's still running. 

I've created a sample project to reproduce this problem https://github.com/plneto/iOS_PullToRefresh_Repro

In the sample project, the Refresh button and RefreshCommand from the ListView execute the same command and the button Enabled state can be used to check if the command is running. 

When triggering the command using the button, the ActivityIndicator will stay visible as expected while it's executing and the button will be disabled. When triggering the same command by pulling down the ListView, the ActivityIndicator won't stay visible but the Refresh button will be disable while the command is running.

This issue doesn't occur on Android.
Comment 1 Paul DiPietro [MSFT] 2017-03-02 14:41:29 UTC
Thanks for the reproduction project to help us look into this. On a cursory glance it appears that it's acting as you described so it'll be worth looking into more closely.
Comment 3 Rui Marinho 2017-04-06 21:47:34 UTC
Should be fixed on 2.3.5-pre1
Comment 5 Paulo 2017-08-16 16:08:47 UTC
It works in iOS but now Android has this problem after updating to Xamarin.forms 2.3.5.256-pre.